SOLVED Cannot install cPanel on Centos 7 2009

amstel

Active Member
Nov 18, 2015
32
4
58
UK
cPanel Access Level
Root Administrator
Hi all,

CentOS-7-x86_64-Minimal-2009.iso

Code:
uname -a
Linux main 5.4.34-1-pve #1 SMP PVE 5.4.34-2 (Thu, 07 May 2020 10:02:02 +0200) x86_64 GNU/Linux
Code:
cd /home && curl -o latest -L https://securedownloads.cpanel.net/latest && sh latest
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 35504  100 35504    0     0  50575      0 --:--:-- --:--:-- --:--:-- 50503
Verifying archive integrity... All good.
Uncompressing cPanel & WHM Installer......

   / __| |_) / _` | '_ \ / _ \ |
  | (__|  __/ (_| | | | |  __/ |
   \___|_|   \__,_|_| |_|\___|_|

  Installer Version v00104 r748f4ffb45142dc82a47849e3ef84879bc0e0a97

Beginning main installation.
2020-11-23 09:26:20  995 [27106] ( INFO): cPanel & WHM installation started at: Mon Nov 23 09:26:20 2020!
2020-11-23 09:26:20  996 [27106] ( INFO): This installation will require 10-50 minutes, depending on your hardware and network.
2020-11-23 09:26:20  997 [27106] ( INFO): Now is the time to go get another cup of coffee/jolt.
2020-11-23 09:26:20  998 [27106] ( INFO): The install will log to the /var/log/cpanel-install.log file.
2020-11-23 09:26:20  999 [27106] ( INFO):
2020-11-23 09:26:20 1000 [27106] ( INFO): Beginning Installation v3...
2020-11-23 09:26:20  710 [27106] (ERROR): The system could not detect a valid release file for this distribution
2020-11-23 09:26:20  712 [27106] (ERROR): The system detected an unsupported distribution. cPanel & WHM only supports CentOS 7 and 8, Red Hat Enterprise Linux® 6 and 7 and CloudLinux™ 6 and 7.
2020-11-23 09:26:20  713 [27106] (FATAL): Please reinstall cPanel & WHM from a valid distribution.
Removing /root/installer.lock.
 
Last edited by a moderator:

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
10,973
1,729
363
cPanel Access Level
Root Administrator
@vacancy is correct - that kernel isn't something that would be supported.

I also wouldn't recommend trying to install an ISO from 2009, as it's likely easier to get the latest minimal install, force an update to the operating system, and then install cPanel on top of that.
 
  • Like
Reactions: amstel